%global pypi_name    llfuse
%global pypi_version 1.4.1

%bcond_with tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Python Bindings for the low-level FUSE API

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/llfuse
Source0:        %{pypi_source}

BuildRequires:  python(abi) >= 3.5
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)
BuildRequires:  fuse >= 2.9.0
BuildRequires:  fuse-devel >= 2.9.0
BuildRequires:  gcc
BuildRequires:  libattr-devel

%if %{with tests}
BuildRequires:  python%{python3_version}dist(pytest) >= 3.4.0
%endif

%global _description %{expand:
LLFUSE is a set of Python bindings for the low level FUSE API.
It requires at least FUSE 2.9.0.
LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.}

%description %_description


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       fuse >= 2.9.0


%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-3 -v test
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst Changes.rst
%{python3_sitearch}/%{pypi_name}.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 1.4.1-2
- Reverse build conditional for tests

* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 1.4.1-1
- Initial package.
